#
# Conditional build:
%bcond_without	verify	# don't verify database
#
Summary:	udev helper: Central Regulatory Domain Agent
Summary(pl.UTF-8):	Program pomocniczy udev: Central Regulatory Domain Agent
Name:		crda
Version:	1.1.3
Release:	2
License:	ISC
Group:		Networking/Daemons
Source0:	http://linuxwireless.org/download/crda/%{name}-%{version}.tar.bz2
# Source0-md5:	29579185e06a75675507527243d28e5c
Patch0:		%{name}-regdb.patch
URL:		http://wireless.kernel.org/en/developers/Regulatory
BuildRequires:	libgcrypt-devel
BuildRequires:	libnl-devel >= 1:3.2
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-M2Crypto
%{?with_verify:BuildRequires:	wireless-regdb}
Requires:	udev-core
Requires:	wireless-regdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for wireless regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%description -l pl.UTF-8
CRDA działa jako program pomocniczy udev do komunikacji między jądrem
a przestrzenią użytkownika w celu zgodności łączności bezprzewodowej z
przepisami. Na potrzeby komunikacji polega na nl80211. CRDA jest
przeznaczone do uruchamiania wyłącznie poprzez udev. Użytkownik nigdy
nie powinien wywoływać go ręcznie, chyba że w celach diagnostyki udev.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
%{__make} %{!?with_verify:all_noverify} \
	V=1 \
	CC="%{__cc}" \
	REG_BIN=%{_datadir}/crda/regulatory.bin

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) /sbin/crda
%attr(755,root,root) /sbin/regdbdump
%{_mandir}/man8/crda.8*
%{_mandir}/man8/regdbdump.8*
/lib/udev/rules.d/85-regulatory.rules
%changelog
* Sun Feb 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crda.git;a=log;h=master

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6345a49
- release 2 (by relup.sh)

* Sat Jan 19 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ad987a7
- up to 1.1.3

* Sun Jan 13 2013 Jan Rękorajski <baggins@pld-linux.org> 68e9fb5
- release 4 (by relup.sh)

* Thu Nov 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8144b54
- rel 3; fix regulatory.bin path in crda itself

* Thu Nov 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e82c8db
- rel 3; fix regulatory.bin path in crda itself

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 5b5b3cf
- pl
- use optflags
- added bcond_without verify
- libnl-devel BR bumped because of nl3 patch

* Sat Oct 01 2011 Artur Frysiak <artur@frysiak.net> 604e8e2
- fix build (nl3.patch)
- rel. 2

* Sat Oct 01 2011 arvenil <arvenil@pld-linux.org> 84a002e
- up to 1.1.2
- updated url

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ebff166
- rel 3; build with new libnl

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e67127a
- release 2

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 97b8530
- up to 1.1.1

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d9d76f
- release 3

* Tue Mar 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 24cf033
- no source1

* Tue Mar 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 677a3b8
- rel 2; use external wireless-regdb

* Tue Mar 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d75db4
- new

